/**
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra.rax1;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Resource Allocation</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link tdt4250.ra.rax1.ResourceAllocation#getPerson <em>Person</em>}</li>
 *   <li>{@link tdt4250.ra.rax1.ResourceAllocation#getPercentage <em>Percentage</em>}</li>
 * </ul>
 *
 * @see tdt4250.ra.rax1.Rax1Package#getResourceAllocation()
 * @model
 * @generated
 */
public interface ResourceAllocation extends EObject
{
  /**
   * Returns the value of the '<em><b>Person</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Person</em>' reference.
   * @see #setPerson(Person)
   * @see tdt4250.ra.rax1.Rax1Package#getResourceAllocation_Person()
   * @model
   * @generated
   */
  Person getPerson();

  /**
   * Sets the value of the '{@link tdt4250.ra.rax1.ResourceAllocation#getPerson <em>Person</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Person</em>' reference.
   * @see #getPerson()
   * @generated
   */
  void setPerson(Person value);

  /**
   * Returns the value of the '<em><b>Percentage</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Percentage</em>' attribute.
   * @see #setPercentage(int)
   * @see tdt4250.ra.rax1.Rax1Package#getResourceAllocation_Percentage()
   * @model
   * @generated
   */
  int getPercentage();

  /**
   * Sets the value of the '{@link tdt4250.ra.rax1.ResourceAllocation#getPercentage <em>Percentage</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Percentage</em>' attribute.
   * @see #getPercentage()
   * @generated
   */
  void setPercentage(int value);

} // ResourceAllocation
